Bug 1574992 - linux-boot-prober doesn't support UEFI boot
Summary: linux-boot-prober doesn't support UEFI boot
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: os-prober
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Hedayat Vatankhah
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-04 13:27 UTC by H.J. Lu
Modified: 2019-05-28 22:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 22:49:09 UTC
Type: Bug


Attachments (Terms of Use)
A patch (1.37 KB, patch)
2018-05-04 13:41 UTC, H.J. Lu
no flags Details | Diff

Description H.J. Lu 2018-05-04 13:27:36 UTC
I have

devtmpfs         8141916         0   8141916   0% /dev
tmpfs            8155064     14204   8140860   1% /dev/shm
tmpfs            8155064      1948   8153116   1% /run
tmpfs            8155064         0   8155064   0% /sys/fs/cgroup
/dev/sda3       30832548  16229884  13013416  56% /
tmpfs            8155064       252   8154812   1% /tmp
/dev/sda8      158127292 122584316  27487476  82% /export
/dev/sda4       30832548  17509444  11733856  60% /mnt/os1
/dev/sda2         999320    190304    740204  21% /boot
/dev/sda6         999320    201416    729092  22% /mnt/os1/boot
/dev/sda1         204580     11144    193436   6% /boot/efi
/dev/sda7         204580      9064    195516   5% /mnt/os1/boot/efi
tmpfs            1631012        20   1630992   1% /run/user/42
tmpfs            1631012        48   1630964   1% /run/user/1000

[root@gnu-efi-2 os-prober]# linux-boot-prober /dev/sda4
/dev/sda4:/dev/sda6::/boot/vmlinuz-0-rescue-18697a50570e4024b583a378202211da:/boot/initramfs-0-rescue-18697a50570e4024b583a378202211da.img:root=/dev/sda4
/dev/sda4:/dev/sda6::/boot/vmlinuz-4.13.10-200.0.fc26.x86_64:/boot/initramfs-4.13.10-200.0.fc26.x86_64.img:root=/dev/sda4
/dev/sda4:/dev/sda6::/boot/vmlinuz-4.13.12-200.0.fc26.x86_64:/boot/initramfs-4.13.12-200.0.fc26.x86_64.img:root=/dev/sda4
/dev/sda4:/dev/sda6::/boot/vmlinuz-4.16.7-300.0.fc28.x86_64:/boot/initramfs-4.16.7-300.0.fc28.x86_64.img:root=/dev/sda4
[root@gnu-efi-2 os-prober]# 

I should get

[root@gnu-efi-2 os-prober]# linux-boot-prober /dev/sda4
/dev/sda4:/dev/sda6:Fedora 28 Rescue 18697a50570e4024b583a378202211da (4.16.7-300.0.fc28.x86_64):/boot/vmlinuz-0-rescue-18697a50570e4024b583a378202211da:/boot/initramfs-0-rescue-18697a50570e4024b583a378202211da.img:root=UUID=858ea984-96cf-4e01-bff4-f67c2abb0515 ro rhgb quiet LANG=en_US.UTF-8
/dev/sda4:/dev/sda6:Fedora (4.16.7-300.0.fc28.x86_64) 28 (Workstation Edition):/boot/vmlinuz-4.16.7-300.0.fc28.x86_64:/boot/initramfs-4.16.7-300.0.fc28.x86_64.img:root=UUID=858ea984-96cf-4e01-bff4-f67c2abb0515 ro rhgb quiet LANG=en_US.UTF-8
/dev/sda4:/dev/sda6:Fedora (4.13.12-200.0.fc26.x86_64) 26 (Workstation Edition):/boot/vmlinuz-4.13.12-200.0.fc26.x86_64:/boot/initramfs-4.13.12-200.0.fc26.x86_64.img:root=UUID=858ea984-96cf-4e01-bff4-f67c2abb0515 ro rhgb quiet
/dev/sda4:/dev/sda6:Fedora (4.13.10-200.0.fc26.x86_64) 26 (Workstation Edition):/boot/vmlinuz-4.13.10-200.0.fc26.x86_64:/boot/initramfs-4.13.10-200.0.fc26.x86_64.img:root=UUID=858ea984-96cf-4e01-bff4-f67c2abb0515 ro rhgb quiet
[root@gnu-efi-2 os-prober]#

Comment 1 H.J. Lu 2018-05-04 13:41:21 UTC
Created attachment 1431358 [details]
A patch

Comment 2 Ben Cotton 2019-05-02 20:42:17 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2019-05-28 22:49:09 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.